<header class="main-header">
  <div class="container">
    <div class="row">
      <aside class="col-sm-6 logo-sec">
        <a href="#">
          <img src="assets/images/logo.png" alt="" />
        </a>
      </aside>
      <aside class="col-sm-6 header-right">
        <h3>Fans Crafted
          <br/>to
          <span>Perfection</span>
        </h3>
      </aside>
    </div>
  </div>
</header>

<nav class="main-nav">
  <div class="container">
    <div class="row">
      <aside class="col-sm-9">
        <ul>
          <li>
            <a [routerLink]="['/pages', 'projects', 'new']">
              <a href="#">
                <img src="assets/images/plus-icon.png" alt="" />New Project</a>
            </a>
          </li>
          <li>
            <a [routerLink]="['/pages', 'projects', 'list']">
              <a href="#">
                <img src="assets/images/edit-icon.png" alt="" />Edit Project</a>
            </a>
          </li>
          <li>
            <a href="#">
              <a href="#">
                <img src="assets/images/settings-icon.png" alt="" />Settings</a>
            </a>
          </li>
        </ul>
      </aside>
      <aside class="col-sm-3">
        <ul>
          <li>
            <a href="#">
              <img src="assets/images/user-icon.png" alt="" />Welcome {{userName}}</a>
          </li>
        </ul>
      </aside>
    </div>
  </div>
</nav>
<div class="navbar secondary-nav">
  <div class="container">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="secondary-nav" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
    </div>

    <!-- Collect the nav links, forms, and other content for toggling -->
    <div class="collapse navbar-collapse" id="secondary-nav">
      <!-- <app-tabs>
          <app-tab [image]="'assets/images/projects-icon.png'" [tabTitle]="'Projects'">
            <app-projects-list></app-projects-list>
          </app-tab>
          <app-tab [image]="'assets/images/projects-icon.png'" [tabTitle]="'Project Data'">
            <app-project-data></app-project-data>
          </app-tab>
          <app-tab [image]="'assets/images/operating-points-icon.png'" [tabTitle]="'Operating Point'">
            <app-operating-point></app-operating-point>
          </app-tab>
        </app-tabs> -->


    </div>
    <div class="collapse navbar-collapse" id="secondary-nav">

      <ul class="nav navbar-nav">
        <!-- <li class="active">
          <a (click)="changeTab('Projects')">
            <span>
              <img src="assets/images/projects-icon.png" alt="" />Projects</span>
          </a>
        </li> -->
        <li>
          <a (click)="changeTab('ProjectData')">
            <img src="assets/images/project-data-icon.png" alt="" />Project Data</a>
        </li>
        <li>
          <a (click)="changeTab('OperatingPoint')">
            <img src="assets/images/operating-points-icon.png" alt="" />Operating point</a>
        </li>
        <li>
          <a (click)="changeTab('FanAssembling')">
            <img src="assets/images/refresh-icon.png" alt="" />Fan Assembling</a>
        </li>
        <li>
          <a (click)="changeTab('Control')">
            <img src="assets/images/control-icon.png" alt="" />Control</a>
        </li>
        <li>
          <a (click)="changeTab('NoiseData')">
            <img src="assets/images/noise-data-icon.png" alt="" />Noise Data</a>
        </li>
        <li>
          <a (click)="changeTab('FanResult')">
            <img src="assets/images/refresh-icon.png" alt="" />Fan Result</a>
        </li>
        <li>
          <a href="#">
            <img src="assets/images/refresh-icon.png" alt="" />Impeller scantlings</a>
        </li>
        <li>
          <a href="#">
            <img src="assets/images/refresh-icon.png" alt="" />Cost</a>
        </li>
      </ul>

    </div>
  </div>
  <div class="mid-body" [ngSwitch]="currentTab">
    <div *ngSwitchCase="'ProjectData'" class="text-primary">
      <app-project-data (clickNext)="changeTab('OperatingPoint')" [selectedProject]="selectedProject"></app-project-data>
    </div>
    <div *ngSwitchCase="'OperatingPoint'" class="text-primary">
      <app-operating-point [selectedProject]="selectedProject" (goToPrevious)="changeTab('ProjectData')" (goToNext)="changeTab('FanAssembling')"
        (addOperatingPoint)="onAddOperatingPoint()"></app-operating-point>
    </div>
    <div *ngSwitchCase="'FanAssembling'" class="text-primary">
      <app-assembling [multiDisplayControlData]="multiDisplayControlData" [fanAssembly]="selectedProject.FanAssemblies" (goToPrevious)="changeTab('OperatingPoint')"
        (goToNext)="changeTab('Control')"></app-assembling>
    </div>
    <div *ngSwitchCase="'Control'" class="text-primary">
      <app-control [materialControl]="selectedProject.MaterialDriveControls"></app-control>
    </div>
    <div *ngSwitchCase="'NoiseData'" class="text-primary">
      <app-noise></app-noise>
    </div>

    <!-- <div *ngSwitchCase="'FanResult'" class="text-primary">
        <app-fa
      </div> -->

    <!-- <li *ngSwitchCase="'HK'" class="text-danger">{{ person.name }} ({{ person.country }})
      </li> -->
    <div *ngSwitchDefault class="text-warning">
      <app-project-data (clickNext)="changeTab('OperatingPoint')" [selectedProject]="selectedProject"></app-project-data>
    </div>
  </div>
